<?php

namespace loyalsoft;

/**
 * 本机/局域网测试
 * 尝试用这种写法来定义服务器配置
 * @author gwang email:mail@wanggangzero.cn
 * @copyright © 2015-2-3, SJZ LoyalSoft Corporation & gwang. All rights reserved.
 */
class config_dev_wg extends config {

    function _InitTester() {
        $this->testerArr = array(
            "gwang", //                王刚
            "D51D63CA040982E406BDE9898AD757AE", //             王倩倩
            "wanggangzero.cn", //      王刚
        );
    }

    function _InitBaneder() {
        $this->banedArr = array(
            "251984775-baidu", // 王刚
        );
    }

    /**
     * 初始化paydb
     */
    protected function _InitPaydb() {
        $this->paydb->host = '127.0.0.1';
        $this->paydb->port = '3306';
        $this->paydb->name = 'jzhj2023_pay';
        $this->paydb->user = 'gwang';
        $this->paydb->password = 'wanggang1985';
    }

    /**
     * nosql
     */
    protected function _InitNosql() {
        $this->nosql->host = "127.0.0.1";                                       # host/ip
        $this->nosql->port = 6379;                                              # 端口
        $this->nosql->pwd = 'wanggang1985';                                     # 密钥
        $this->nosql->db = 1;                                                   # db索引
    }

    /**
     * MongoDB
     */
    protected function _InitMongoDB() {
        $this->mongo->db = "jzhj2023";
        $this->mongo->conn = "mongodb://gwang:wanggang1985@localhost:23333/?authSource=admin";
    }
}

return new config_dev_wg();
